// *************************************************************** //
// Filename:    DlgTest.h                                          //
//                                                                 //
// Date:        November 26, 1993                                  //
//                                                                 //
// Description:                                                    //
// *************************************************************** //

#ifndef DlgTest_H
#define DlgTest_H

#include <owl\owlcore.h>
#pragma hdrstop
#include <owl\listbox.h>
#include "dlgtest.rh"

// --------------------------------------------------------------- //
// DlgTestApplication                                              //
// --------------------------------------------------------------- //
class TDlgTestApp : public TApplication 
{
  public:
    TDlgTestApp();
   ~TDlgTestApp();
    void InitMainWindow();
};

class TMyListBox : public TListBox
{
  public:
    TMyListBox(TWindow *parent, int resId, TModule *module = 0);
    void ODADrawEntire(DRAWITEMSTRUCT &drawInfo);
    void ODAFocus(DRAWITEMSTRUCT &drawInfo);
    void ODASelect(DRAWITEMSTRUCT &drawInfo);
  protected:
    void DrawEntry(DRAWITEMSTRUCT &drawInfo);
    void EvSetFocus(HWND hWndLostFocus /* may be 0 */);
};

// --------------------------------------------------------------- //
// MyModal                                                         //
// --------------------------------------------------------------- //
class TMyModal : public TDialog
{
  public:
    TMyModal(TWindow *, TResId);
   ~TMyModal();
    void SetupWindow();

    DECLARE_RESPONSE_TABLE(TMyModal);
  protected:
    TMyListBox *lb;
    void EvMeasureItem(UINT, MEASUREITEMSTRUCT &measureInfo);
};

// --------------------------------------------------------------- //
// DlgTestWindow                                                   //
// --------------------------------------------------------------- //
class TDlgTestWindow : public TWindow 
{
  public:
    TDlgTestWindow();
   ~TDlgTestWindow();
    void SetupWindow();

    DECLARE_RESPONSE_TABLE(TDlgTestWindow);
  protected:
    void CmModal();
};

#endif

