// *************************************************************** //
// Filename:    lb.cpp                                             //
//                                                                 //
// Date:        Nov 29, 1993                                       //
//                                                                 //
// Description:                                                    //
// *************************************************************** //
#include "dlgtest.h"

TMyListBox::TMyListBox(TWindow *parent, int resId, TModule *module) :
  TListBox(parent, resId, module)
{
}

void TMyListBox::ODADrawEntire(DRAWITEMSTRUCT &drawInfo)
{
  DrawEntry(drawInfo);
}

void TMyListBox::ODAFocus(DRAWITEMSTRUCT &drawInfo)
{
  ::DrawFocusRect(drawInfo.hDC, &drawInfo.rcItem);
}

void TMyListBox::ODASelect(DRAWITEMSTRUCT &drawInfo)
{
  ::InvertRect(drawInfo.hDC, &drawInfo.rcItem);
}

void TMyListBox::DrawEntry(DRAWITEMSTRUCT &drawInfo)
{
  // erase the item
  ::FillRect(drawInfo.hDC, &drawInfo.rcItem, 
    (HBRUSH)::GetStockObject(LTGRAY_BRUSH));
  char buffer[512];
  GetString(buffer, drawInfo.itemID);
  ::DrawText(drawInfo.hDC, buffer, -1, &drawInfo.rcItem, 
    DT_SINGLELINE | DT_CENTER | DT_VCENTER);
  if (drawInfo.itemState & ODS_FOCUS)
  {
    ::DrawFocusRect(drawInfo.hDC, &drawInfo.rcItem);
  }
  if (drawInfo.itemState & ODS_SELECTED)
  {
    ::InvertRect(drawInfo.hDC, &drawInfo.rcItem);
  }
}


// --------------------------------------------------------------- //
// SetFocus                                                        //
// --------------------------------------------------------------- //
void TMyListBox::EvSetFocus(HWND)
{
  Invalidate();
}

